Skip to main content
GET
Get task IDs

Authorizations

x-api-key
string
header
required

Your unique Avido API key

x-application-id
string
header
required

Your unique Avido Application ID

Query Parameters

topicId
string<uuid>[]

Filter tasks by topic ID

Pattern: ^([0-9a-fA-F]{8}-[0-9a-fA-F]{4}-[1-8][0-9a-fA-F]{3}-[89abAB][0-9a-fA-F]{3}-[0-9a-fA-F]{12}|00000000-0000-0000-0000-000000000000|ffffffff-ffff-ffff-ffff-ffffffffffff)$
Example:

"789e4567-e89b-12d3-a456-426614174000"

status
enum<string>[]

Filter tasks by status

Available options:
success,
warning,
error,
no-tests
Example:
evalDefinitionId
string<uuid>[]

Filter tasks by eval definition ID

Pattern: ^([0-9a-fA-F]{8}-[0-9a-fA-F]{4}-[1-8][0-9a-fA-F]{3}-[89abAB][0-9a-fA-F]{3}-[0-9a-fA-F]{12}|00000000-0000-0000-0000-000000000000|ffffffff-ffff-ffff-ffff-ffffffffffff)$
Example:

"123e4567-e89b-12d3-a456-426614174000"

tagId
string[]

Filter tasks by tag ID

Example:

"789e4567-e89b-12d3-a456-426614174000"

Search tasks by title or description (case-insensitive partial match)

Example:

"credit card"

confidenceLevel
enum<string>[]

Filter tasks by confidence level.

Statistical confidence level based on the width of the 95% confidence interval around the pass rate.

Available options:
HIGH,
MEDIUM,
LOW
Example:
stabilityLevel
enum<string>[]

Filter tasks by stability level.

Score stability level based on the standard deviation of evaluation scores.

Available options:
HIGH,
MEDIUM,
LOW
Example:
healthScoreLevel
enum<string>[]

Filter tasks by health score level.

Health score level: HIGH (90-100), MEDIUM (60-89), LOW (0-59).

Available options:
HIGH,
MEDIUM,
LOW
Example:
scheduleCriticality
enum<string>[]

Filter tasks by schedule criticality (HIGH = daily, MEDIUM = weekly, LOW = bi-weekly). Only returns tasks that have a schedule with one of the specified criticality levels.

Available options:
LOW,
MEDIUM,
HIGH
Example:

Response

Successfully retrieved task IDs

Response containing an array of task IDs

taskIds
string<uuid>[]
required

Array of task IDs

Pattern: ^([0-9a-fA-F]{8}-[0-9a-fA-F]{4}-[1-8][0-9a-fA-F]{3}-[89abAB][0-9a-fA-F]{3}-[0-9a-fA-F]{12}|00000000-0000-0000-0000-000000000000|ffffffff-ffff-ffff-ffff-ffffffffffff)$
Example: